- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TActiveRecord
TActiveRecordChangeEventParameter
TActiveRecordConfig
TActiveRecordConfigurationException
TActiveRecordCriteria
TActiveRecordException
TActiveRecordGateway
TActiveRecordInvalidFinderResult
TActiveRecordManager

Keyword

# Class TActiveRecordException

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TDbException
                |
                --TActiveRecordException

#### Direct Known Sub-classes:

TActiveRecordConfigurationException

Base exception class for Active Records.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
protected string | getErrorMessageFile ()

Methods Inherited From TException
TException::getErrorCode(), TException::getErrorMessage(), TException::getErrorMessageFile(), TException::setErrorCode(), TException::setErrorMessage(), TException::translateErrorMessage()

Method Details

## getErrorMessageFile

protected string getErrorMessageFile | ()

Output
string | path to the error message file
Exception